
#include <AT89X51.h>
#include "Timer0.h"

unsigned int cputick0;

unsigned char Sec;

void InitTimer0()
{
	Sec = 0;
	cputick0 = 0;
	TMOD &= 0xfe;	// Set Timer 0 as 
	TMOD |= 0x02;	// 8 bit auto reload timer
	TH0 = 6;		// for .25 ms
  	EA = 1;			// Enable all interupts.
	ET0 = 1;		// Enable Timer 1 interrupt.
	TR0 = 1;
}

void CTimerInt() interrupt 1
{
	cputick0 ++;
	if(cputick0 > 7999)
	{
		cputick0 = 0;
		Sec ++;
		if(Sec > 59)
			Sec = 0;
	}
}

unsigned char GetSeconds()
{
	return Sec;
}


